Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001388SpeedFanFan controlpublic2009-04-20 11:032010-12-20 19:12
Reporterdelanvital 
Assigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS VersionXP, SP3
Product Version4.38 beta 
Target VersionFixed in Version4.43 beta 
Summary0001388: no fan control
DescriptionReport has been sent via SpeedFan and some dialogue with Alfredo, but not solved.

Details:

- ASUS P5Q Pro, next to newest bios

- Winbond 83627DHG

- Q-fan disabled. When enabled, it works with Asus FanXpert. Fan Xpert has since been uninstalled to be sure there was no conflicts.

- Q6600 CPU with box cooler. 4-pin PWM-type connected to CPU_FAN (Reported as CPU0 in Speedfan).

I have tried all power modes, and types for that matter, to no avail. I have no other similar software installed (and this is a fresh windows), I had Asus software installed for a while, then uninstalled.

I have tried reinstalling SpeedFan (including deleting settings) to no avail.

Note: I have an ASUS 8800GT in the machine, the newer type, and GPU temperature is reported as 0. When running this card in a P5K mobo it could measure the temp using SpeedFan.
TagsNo tags attached.
Motherboard ModelASUS P5Q PRO
Video Card ModelASUS EN 8800 GT 512MB
Attached Files

- Relationships

-  Notes
(0004716)
delanvital (reporter)
2009-04-20 13:36

Some more info, if that helps:

temp. sens. diode 1, 2 and 3: Thermistor 2N3904, PII diode and Thermistor diode
fan divisor 1-5: 8, 16, 2, 8 and 8
pwm mode 1-4: manual pwm control
pwm 1-3 type: pwm
pwm 4 type: dc (i cannot change this, even with 'remember it')
freqs (sys, cpu0, aux0, cpu1): 23,4KHz
temp 1-3 offset: 0
fan 1-5, multiply and divide: 1
reverse logics: all off
(0004717)
delanvital (reporter)
2009-04-20 13:37

i had a 2nd dc-type fan connected as well, an akasa 120 mm. Now the rpms dropped to zero, but i have not changed a thing - and bios reports the usual rpms (and same noise from the pc, so i doubt it has dropped)
(0004718)
delanvital (reporter)
2009-04-21 14:13

I have now also tried the latest non-beta version, but that is just the same.
(0004719)
delanvital (reporter)
2009-04-21 14:37

I have tried swapping modes and types a bit more - it seems that PWM mode 2, when moving trying other settings, jumps back to "SmartFan III". Also, PWM 3 type tends to like PWM output, and will not be DC.
(0004720)
delanvital (reporter)
2009-04-21 14:39

and this is odd. If I try and change pwm 3 type to DC from PWM, it will not, even with "remember", and instead PWM 2 type gets changed from DC to PWM. What am I not getting?
(0004721)
delanvital (reporter)
2009-04-21 16:35

acpi explorer test sent
(0004723)
delanvital (reporter)
2009-04-21 17:24

I re-installed Asus Fan Xpert (AI suite) and now I can see the RPMs in SpeedFan for the Aux0 fan again, rather odd.
(0004724)
delanvital (reporter)
2009-04-21 19:28

fyi, if it matters, acpi (shutdown, stand-by etc) works fine
(0004732)
Sekerob2 (reporter)
2009-04-28 10:37

Found that in order to have SpeedFan do it's job and take control of the fans, I'd had to configure in the Advanced section, Chip set IT8781F at $290 on ISA for the PWM1-PWM3 modes to "software controlled" to override Smartguardian.
(0004733)
delanvital (reporter)
2009-04-28 12:11

you have a different chip than me, however, what you have done equals what i have already tried. My chip is the Winbond mentioned above, and changing the PWM-modes left me with no control... but cheers for helping mate...
(0004734)
delanvital (reporter)
2009-04-28 14:03

I updated to the latest bios, still no go. I just noticed that I had my chassis fan connected to power. I tried to plug it into one of the chassis_fan connectors, but it does close to 0 rpm (I have to push the fan, to get it spinning). this is regardless of q-fan settings, when booting or not, when in windows or not - all the time basically. And, I have no control of the chassis fans, like with power. Power connectors means full speed, chassis connectors means zero speed.
(0004741)
alfredo (manager)
2009-05-04 16:45

I'm trying to decipher the relevant datasheets. I have some troubles understanding how it should be really set up.
(0004753)
delanvital (reporter)
2009-05-06 11:41

ok - let me know if I can be of any assistance, I'd be happy to test configurations on my P5B Pro
(0004767)
rifleman300 (reporter)
2009-05-09 23:06

I had a similiar problem with my P5K-E, I changed the PWM 1 through 3 Type settings to PWM Output. That seems to have resolved the issue.
(0004769)
delanvital (reporter)
2009-05-10 00:04

rifleman300 - cheers for the effort, but if you read the posts made above, you will see that I have already tried that for all (four) outputs. I am fairly certain your board uses a different SuperIO - W83627EHF? - which is why it worked for you. As Alfredo mentions, he is trying to decipher the datasheets for the SuperIO-chip used on the P5Q.
(0004813)
norman02us (reporter)
2009-05-29 17:50
edited on: 2009-05-29 17:53

FanSpeed control works (almost) perfectly on all P5B/P5K/P5Q Series boards. On the CPU_FAN header only (4pin) PWM-fans can be controlled, which unfortunatly still doesn't work with Speedfan. Therefore, you have to use one of the CHA_FAN headers in the meantime.
The PWR_FAN header can only be read, but not controlled.
The CHA_FAN headers can be read and controlled but only together (this is due to Asus not to Speedfan).

Usually it is Speed02 that allows to change speed of all fans that are attached to CHA_FAN headers.

(0004843)
delanvital (reporter)
2009-06-04 13:22

Hi Norman,

Sadly it is not all true - fx the chip I have cannot fx report RPMs on CHA_FAN, with any fan, unless I run Fan Xpert in the background. It cannot control the various fans I have tried either.

But thanks anyway.
(0004846)
norman02us (reporter)
2009-06-04 13:38
edited on: 2009-06-04 13:42

All CHA_FAN headers can be controlled together and Speedfan reads them without problems. What happens when you disable Q-Fan in the BIOS?

Did you change the fan divisor to 8 or 16? Which fans do you use and where did you attach them.

(0004847)
delanvital (reporter)
2009-06-04 13:41

Norman mate, please read my posts. My first post states that I have disabled Q-fan. My 2nd posts deals with fan divisors.
(0004848)
norman02us (reporter)
2009-06-04 13:42
edited on: 2009-06-04 13:44

Unfortunatly, I just sold my P5Q Deluxe, so I can't lookup the settings. I think I set Q-Fan to "optimal" in BIOS. Fan divisor has to be 8 or 16 for low rpms and PWM Mode has to be software controlled. I believe it is Speed02 that controls all CHA_FAN headers. PWR_FAN can only be read but not controlled.

@edit
Where did you attach the fans? Please try changing all fan divisors to 16.

(0004849)
delanvital (reporter)
2009-06-04 13:43
edited on: 2009-06-04 13:43

Regarding fans - I tried Akasi 80mm (dc type), Intel stock fan for Q6600 (pwm), 3 different Pabst 80mm (dc). I have tried all connectors.

(0004850)
delanvital (reporter)
2009-06-04 13:45

pls also see my comments here
http://www.bugtrack.almico.com/view.php?id=1222 [^]
(0004851)
delanvital (reporter)
2009-06-04 13:45
edited on: 2009-06-04 13:46

Norm - I have tried that, in fact I have just tried that again. Still no go.

Regarding Q-fan, I also tried all combos. There are 4 types of "silent" IIRC.

(0004852)
norman02us (reporter)
2009-06-04 13:49
edited on: 2009-06-04 13:49

So it's only about the CPU_Fan header? If that is the case and the rest works as desired then you're totally right and I apologize. Because of the title and some of the posts I thought you also have problems controlling CHA_FAN headers.

(0004853)
delanvital (reporter)
2009-06-04 13:59
edited on: 2009-06-04 14:00

No, it is not about the CPU_fan header only. What I did was try basically every possible combination, writing down bios settings, changing settings in speedfan etc, for CPU_FAN. That did not work. I then tried the same with a well functioning DC fan for CHA_FAN. That did not work either. This post was about CPU_FAN, until you an I started talking about CHA_FAN, by which, I started explaining what I had done there.

Complicated stuff this :)

(0004854)
norman02us (reporter)
2009-06-04 14:11
edited on: 2009-06-04 14:12

Okay, so let's be specific.

First, CPU_FAN -> Generally on the P5B/P5K/P5Q Series only a 4pin PWM-fan can be controlled on that header (due to Asus, not to Speedfan). In the current Version Speedfan doesn't support controlling the CPU_FAN on P5Q Series because Asus used a different chip that has the same ID as the old one used before. That's why it is very hard for Alfredo to teach Speedfan how to know that it's another chip and how to work with it.

Second, PWR_FAN header can be read but not controlled.

Third, CHA_FAN headers are wired together by Asus, so they can only be controlled simultaneously by BIOS or Speedfan. I recommend that you only use 3pin fans and attach all of them to the CHA_FAN headers to gain control. In the BIOS you should disable CPU Q-FAN and set it to "ignored" so that no alarm sounds when no fan is attached to the CPU_FAN header.
To control the CHA_FAN headers you have to enable Q-Fan for chassis fans in the BIOS. I recommend setting it to "optimal" then.

Since you changed a lot of settings in Speedfan, I would remove the program and especially the config files completely, install 4.38 and then exchange the .exe with the latest beta version.
When you've done that, change all fan divisors to "16". Now you should be able to see rpm readings for all fans attached to CHA_FAN headers. Is that correct?
I will write more when you're at this point.

(0004855)
delanvital (reporter)
2009-06-04 14:41

First of all thanks for the detailed description, which I however was already aware of :)

First - as stated earlier, might not be clear, but whatever combo of fans I use with CHA_FAN, it will not report the fan rpm unless I have Fan Xpert installed. This is regardless of settings, also Q-fan settings, and regardless of choice of fans.

Second - as mentioned in my first post, I have tried reinstalling speedfan, including all settings. This did no difference.

Third - I have the latest beta installed now. Had 4.38 before. I have just tried fan divisors at 16. I get no readings, unless I run Fan Xpert. If I close Fan Xpoert, SpeedFan drops RPMs to nil. If installing other similar software, and let it run in the background, Speefan can see the rpms. I have no control still, though.

Fourth - The fans are not controllable from Speedfan, but are from Fan Xpert.

- Issue History
Date Modified Username Field Change
2009-04-20 11:03 delanvital New Issue
2009-04-20 11:03 delanvital Status new => assigned
2009-04-20 11:03 delanvital Assigned To => alfredo
2009-04-20 11:03 delanvital Motherboard Model => ASUS P5Q PRO
2009-04-20 11:03 delanvital Video Card Model => ASUS EN 8800 GT 512MB
2009-04-20 13:36 delanvital Note Added: 0004716
2009-04-20 13:37 delanvital Note Added: 0004717
2009-04-21 14:13 delanvital Note Added: 0004718
2009-04-21 14:37 delanvital Note Added: 0004719
2009-04-21 14:39 delanvital Note Added: 0004720
2009-04-21 16:35 delanvital Note Added: 0004721
2009-04-21 17:24 delanvital Note Added: 0004723
2009-04-21 19:28 delanvital Note Added: 0004724
2009-04-28 10:37 Sekerob2 Note Added: 0004732
2009-04-28 12:11 delanvital Note Added: 0004733
2009-04-28 14:03 delanvital Note Added: 0004734
2009-05-04 16:45 alfredo Note Added: 0004741
2009-05-04 16:45 alfredo Status assigned => acknowledged
2009-05-06 11:41 delanvital Note Added: 0004753
2009-05-09 23:06 rifleman300 Note Added: 0004767
2009-05-10 00:04 delanvital Note Added: 0004769
2009-05-29 17:50 norman02us Note Added: 0004813
2009-05-29 17:51 norman02us Note Edited: 0004813
2009-05-29 17:52 norman02us Note Edited: 0004813
2009-05-29 17:53 norman02us Note Edited: 0004813
2009-06-04 13:22 delanvital Note Added: 0004843
2009-06-04 13:38 norman02us Note Added: 0004846
2009-06-04 13:41 delanvital Note Added: 0004847
2009-06-04 13:41 norman02us Note Edited: 0004846
2009-06-04 13:42 norman02us Note Added: 0004848
2009-06-04 13:42 norman02us Note Edited: 0004846
2009-06-04 13:43 delanvital Note Added: 0004849
2009-06-04 13:43 delanvital Note Edited: 0004849
2009-06-04 13:44 norman02us Note Edited: 0004848
2009-06-04 13:45 delanvital Note Added: 0004850
2009-06-04 13:45 delanvital Note Added: 0004851
2009-06-04 13:46 delanvital Note Edited: 0004851
2009-06-04 13:49 norman02us Note Added: 0004852
2009-06-04 13:49 norman02us Note Edited: 0004852
2009-06-04 13:59 delanvital Note Added: 0004853
2009-06-04 14:00 delanvital Note Edited: 0004853
2009-06-04 14:11 norman02us Note Added: 0004854
2009-06-04 14:11 norman02us Note Edited: 0004854
2009-06-04 14:12 norman02us Note Edited: 0004854
2009-06-04 14:41 delanvital Note Added: 0004855
2010-12-20 19:12 alfredo Status acknowledged => resolved
2010-12-20 19:12 alfredo Resolution open => fixed
2010-12-20 19:12 alfredo Fixed in Version => 4.43 beta


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3292 seconds.
memory usage: 8,281 KB
Powered by Mantis Bugtracker